%define include_ulT1mo	0

%define ISONAME ISO8859-2

%define __mkfontdir umask 133;/usr/X11R6/bin/mkfontdir

Name: fonts-%{ISONAME}
Version: 1.0
Release: 13.XOS.1
License: Freely distributable
Source: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.gz
%if %{include_ulT1mo}
Source1: http://www.intersoft.cz/linux/fonts/ulT1mo-beta-1.0.tar.gz
%endif

Patch0: XFree86-ISO8859-2-1.0-redhat.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: Central European language fonts for the X Window System.
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
BuildRequires: xorg-x11-font-utils
 
%description
If you use the X Window System and you want to display Central
European fonts, you should install the XFree86-ISO8859-2 package.

This package contains a set of Central European fonts, in
compliance with the ISO8859-2 standard. 


%package 75dpi
Group: User Interface/X
Summary: A set of 75dpi Central European language fonts for X.
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir

%description 75dpi
This package contains a set of Central European language fonts in 75 dpi
resolution for the X Window System. 


%package 100dpi
Group: User Interface/X
Summary: A set of 100dpi Central European language fonts for X.
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir

%description 100dpi
This package includes Central European (ISO8859-2) fonts, in 100 dpi
resolution, for the X Window System.

%if %{include_ulT1mo}
%package Type1
Group: User Interface/X
Summary: Type 1 scalable Central European language (ISO8859-2) fonts for X.
Prereq: /usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir

%description Type1
This package contains Central European Type 1 fonts for the X Window System.
This set of fonts is known as the ulT1mo (or ultimo) collection.  All of the
included fonts are copyrighted to their authors and freeware.  Original fonts
were taken from the Internet or CDs.
%endif


%prep
%if %{include_ulT1mo}
%setup -c -q -a 1
%else
%setup -c -q
%endif

%patch0 -p1 -b .redhat

%build
make all
%if %{include_ulT1mo}
make all -C ulT1mo-beta-1.0
%endif

%install
rm -rf $RPM_BUILD_ROOT
DSTFONT=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT
%if %{include_ulT1mo}
mkdir -p $DSTFONT/Type1/{afm,pfm}
(
	cd ulT1mo-beta-1.0 ;
	install -m 644 *.pfb fonts.{alias,dir,scale} $DSTFONT/Type1
	install -m 644 afm/*.afm $DSTFONT/Type1/afm
	install -m 644 pfm/*.pfm $DSTFONT/Type1/pfm
)
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
    %__mkfontdir /usr/share/fonts/%{ISONAME}/misc
    /usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc:unscaled
} &> /dev/null || :

%postun
{
    if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc:unscaled
    fi
} &> /dev/null || :

%post 75dpi
{
    %__mkfontdir /usr/share/fonts/%{ISONAME}/75dpi
    /usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi:unscaled
} &> /dev/null || :

%postun 75dpi
{
    if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi:unscaled
    fi
} &> /dev/null || :

%post 100dpi
{
    %__mkfontdir /usr/share/fonts/%{ISONAME}/100dpi
    /usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi:unscaled
} &> /dev/null || :

%postun 100dpi
{
    if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi:unscaled
    fi
} &> /dev/null || :

%if %{include_ulT1mo}
%post Type1
{
    %__mkfontdir /usr/share/fonts/%{ISONAME}/Type1
    /usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1
} &> /dev/null || :

%postun Type1
{
    if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1
    fi
} &> /dev/null || :
%endif

%files
%defattr(-,root,root)
%doc RELEASE_NOTES.TXT
%dir /usr/share/fonts/%{ISONAME}
%dir /usr/share/fonts/%{ISONAME}/misc
/usr/share/fonts/%{ISONAME}/misc/*.gz
%config(noreplace) %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/misc/fonts.alias
%ghost %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/misc/fonts.dir

%files 75dpi
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/75dpi
/usr/share/fonts/%{ISONAME}/75dpi/*.gz
%config(noreplace) %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/75dpi/fonts.alias
%ghost %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/75dpi/fonts.dir

%files 100dpi
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/100dpi
/usr/share/fonts/%{ISONAME}/100dpi/*.gz
%config(noreplace) %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/100dpi/fonts.alias
%ghost %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/100dpi/fonts.dir

%if %{include_ulT1mo}
%files Type1
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/Type1
%dir /usr/share/fonts/%{ISONAME}/Type1/afm
%dir /usr/share/fonts/%{ISONAME}/Type1/pfm
/usr/share/fonts/%{ISONAME}/Type1/afm/*
/usr/share/fonts/%{ISONAME}/Type1/*.pfb
/usr/share/fonts/%{ISONAME}/Type1/pfm/*
%config(noreplace) %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/Type1/fonts.alias
%verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/Type1/fonts.scale
%ghost %verify(not md5 size mtime) /usr/share/fonts/%{ISONAME}/Type1/fonts.dir
%endif

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1.0-13.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on fonts-ISO8859-2-1.0-13.src.rpm
  (md5sum of original source rpm: 7cd0ba9f46d050f86800904c1abb0a1c).

* Wed Sep 22 2004 Owen Taylor <otaylor@redhat.com> - 1.0-13
- Require xorg-x11-font-utils (#125031, Maxim Dzumanenko)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Oct  7 2002 Mike A. Harris <mharris@redhat.com> 1.0-10
- All-arch rebuild
-
* Fri Jun 21 2002 Mike A. Harris <mharris@redhat.com> 1.0-9
- Totally non-automated rebuild done manually without assistance of
  any fancy pants scripts or other automation utilities  ;o)
- Added :unscaled FPE attributes to all bitmap font rpm scripts

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun  4 2002 Mike A. Harris <mharris@redhat.com> 1.0-7
- Removed ulT1mo fonts

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.0-4
- automated rebuild

* Mon Apr 15 2002 Mike A. Harris <mharris@redhat.com> 1.0-3
- Made Type1 subpackage to own the afm/pfm directories
- removed fonts.* glob from all subpackages, and manually listed each of the
  various fonts.{alias,dir,scale} files individually with the proper
  ghost/config/verify flags (MF #61694)
- Cleaned up post/postun scripts to match the XFree86 packaging style, and
  made the fonts.dir files generated at install time like they should be
  instead of included with the packaging which is broken and evil.

* Mon Apr  8 2002 Mike A. Harris <mharris@redhat.com> 1.0-2
- Added proper prereqs for chkfontpath, mkfontdir for bug (#62741)

* Thu Feb 28 2002 Mike A. Harris <mharris@redhat.com> 1.0-1
- Moved ulT1mo fonts from XFree86 packaging back out into their own happy
  rpm package.  Renamed it to fonts-foo to remove XFree86 reference since
  it is not an XFree86 package.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.* are now config files

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed typos

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts moved to /usr/share/fonts/ISO8859-2 under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2
- made a noarch package

